=== debian/changelog ===
hardinfo (2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Remove recommends of lsscsi.
  * debian/control: Depends on gawk.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Feb 2025 09:02:02 -0500
