## hardinfo 2.2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,12 @@
 endif()
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.2.7")
-
+#Release settings
+set(HARDINFO2_VERSION "2.2.10")
+set(HARDINFO2_RELEASE_DATE "2025-03-29")
+set(HARDINFO2_RELEASE_NOTE_HTML "<p>Release</p><p>\nImprovements\nLots of minor fixes/maintenance/updates/cleanup\nFor details see homepage news.</p>")
+
+#Build settings
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
 option(HARDINFO2_LIBSOUP3 "Build for libsoup-3.0 (0/off for libsoup-2.4)" 1)
@@ -25,7 +29,11 @@
 SET(CMAKE_INSTALL_PREFIX "/usr")
 SET(HARDINFO2_SYSTEMV 0)
 SET(HARDINFO2_RUNIT 0)
+string(SUBSTRING ${HARDINFO2_RELEASE_DATE} 0 4 HARDINFO2_RELEASE_YEAR)
 file(READ "${CMAKE_CURRENT_SOURCE_DIR}/tools/org.hardinfo2.hardinfo2.metainfo.xml" METAINFO_CONTENT)
+string(REPLACE "VERSION" "${HARDINFO2_VERSION}" METAINFO_CONTENT "${METAINFO_CONTENT}" )
+string(REPLACE "RELEASE_DATE" "${HARDINFO2_RELEASE_DATE}" METAINFO_CONTENT "${METAINFO_CONTENT}" )
+string(REPLACE "DESCRIPTION" "${HARDINFO2_RELEASE_NOTE_HTML}" METAINFO_CONTENT "${METAINFO_CONTENT}" )
 
 SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
@@ -46,7 +54,7 @@
 	set(HARDINFO2_ARCH "mips")
 elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "parisc.*")
 	set(HARDINFO2_ARCH "parisc")
-elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sparc{32,64}")
+elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sparc32|sparc64")
 	set(HARDINFO2_ARCH "sparc")
 elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm.*")
 	set(HARDINFO2_ARCH "arm")
@@ -86,8 +94,8 @@
 
 set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
-SET(RPM_REQ "sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools, gawk")
-SET(DEB_REQ "sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools, gawk")
+SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools, gawk")
+SET(DEB_REQ "dmidecode, sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools, gawk")
 
 #########################CPack PACKAGING SETUP###############################
 if(EXISTS "/etc/os-release")
@@ -173,14 +181,14 @@
 if((${disversion} GREATER_EQUAL 10) AND (${disversion} LESS 10.99))
   if(${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*")
     message("Centos/Redhat/oracle/rocky/alma 10 - Missing xrandr+sysbench!!!")
-    SET(RPM_REQ "udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, vulkan-tools, gawk") #miss sysbench, xrandr
+    SET(RPM_REQ "dmidecode, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, vulkan-tools, gawk") #miss sysbench, xrandr
   endif()
 endif()
 
 #centos/redhat/oracle/opensuse/suse 7
 if(${disversion} LESS 7.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
-      SET(RPM_REQ "sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
+      SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
   endif()
 endif()
 
@@ -197,14 +205,14 @@
     set(HARDINFO2_SYSTEMV 1)
     message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
-    SET(RPM_REQ "sysbench, glx-utils, lm_sensors, xdg-utils, xrandr, gawk") #miss vulkan-tools, udisks2, fwupd, iperf3
+    SET(RPM_REQ "dmidecode, sysbench, glx-utils, lm_sensors, xdg-utils, xrandr, gawk") #miss vulkan-tools, udisks2, fwupd, iperf3
   endif()
 endif()
 
 #opensuse tumbeweed
 if(${disversion} GREATER 20000101)
   if(${distro} MATCHES "openSUSE*")
-    SET(RPM_REQ "sysbench, udisks2, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors, gawk")
+    SET(RPM_REQ "dmidecode, sysbench, udisks2, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors, gawk")
   endif()
 endif()
 
@@ -213,7 +221,7 @@
 if(${distro}${disversion} MATCHES "Fedora23")
     message("FC23 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
-    SET(RPM_REQ "sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
+    SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
     message("Fedora 23 - Too Old for Appstream metainfo")
     string(REPLACE "<component type=\"desktop-application\">" "<component>" METAINFO_CONTENT "${METAINFO_CONTENT}" )
     string(REPLACE "<url type=\"contact\">https://github.com/hardinfo2/hardinfo2/discussions</url>" "" METAINFO_CONTENT "${METAINFO_CONTENT}" )
@@ -230,7 +238,7 @@
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
     set(HARDINFO2_SYSTEMV 1)
     set(HARDINFO2_QT5 0)
-    SET(DEB_REQ "sysbench, mesa-utils, lm-sensors, xdg-utils, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd, udisks2, iperf3 +libsigsegv2 for gawk
+    SET(DEB_REQ "dmidecode, sysbench, mesa-utils, lm-sensors, xdg-utils, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd, udisks2, iperf3 +libsigsegv2 for gawk
 endif()
 
 #debian 8
@@ -238,7 +246,7 @@
     message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
     message("DEB 8 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
-    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd +libsigsegv2 for gawk
+    SET(DEB_REQ "dmidecode, sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd +libsigsegv2 for gawk
 endif()
 
 #debian 9
@@ -247,36 +255,9 @@
     if(${distro}${disversion} MATCHES "DebianGNULinux9")
         message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
         set(HARDINFO2_QT5 0)
-	SET(DEB_REQ "sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, gawk") #miss vulkan-tools
+	SET(DEB_REQ "dmidecode, sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, gawk") #miss vulkan-tools
     endif()
 endif()
 
 #debian 10
 if(${distro}${disversion} MATCHES "DebianGNULinux10")
-  SET(DEB_REQ "udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools, gawk") #miss sysbench
-endif()
-
-#debian ->11
-if(${disversion} LESS 11.99)
-  if(${distro} MATCHES "DebianGNULinux")
-    message("DEB ->11 - LS24")
-    set(HARDINFO2_LIBSOUP3 0)
-  endif()
-  if(${distro} MATCHES "RaspbianGNULinux")
-    message("DEB ->11 - LS24")
-    set(HARDINFO2_LIBSOUP3 0)
-  endif()
-endif()
-
-#pureos ->10 (debian 11 or less)
-if(${disversion} LESS 10.99)
-  if(${distro} MATCHES "PureOS")
-    message("PureOS ->10 - LS24")
-    set(HARDINFO2_LIBSOUP3 0)
-  endif()
-endif()
-
-#ubuntu 16
-if(${distro}${disversion} MATCHES "Ubuntu16")
-    message("Ubuntu 16 - no QT5 - Disabling opengl benchmarks")
-    set(HARDINFO2_QT5 0)
