=== debian/changelog ===
hardinfo (2.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Mar 2025 11:25:19 -0400
