=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hardinfo2/hardinfo2
 Vcs-Git: https://salsa.debian.org/debian/hardinfo.git
 Vcs-Browser: https://salsa.debian.org/debian/hardinfo
