## hardinfo 2.2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,15 +16,20 @@
 project(hardinfo2)
 
 #Release settings
-set(HARDINFO2_VERSION "2.2.10")
-set(HARDINFO2_RELEASE_DATE "2025-03-29")
-set(HARDINFO2_RELEASE_NOTE_HTML "<p>Release</p><p>\nImprovements\nLots of minor fixes/maintenance/updates/cleanup\nFor details see homepage news.</p>")
+set(HARDINFO2_VERSION "2.2.13")
+set(HARDINFO2_RELEASE_DATE "2025-05-08")
+set(HARDINFO2_RELEASE_NOTE_HTML "<p>Release</p><p>\nNew Vulkan Benchmark\nImproved CLI usage\nBenchmark Filtering features\nLots of minor fixes/maintenance/updates/cleanup\nFor details see homepage news.</p>")
 
 #Build settings
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
 option(HARDINFO2_LIBSOUP3 "Build for libsoup-3.0 (0/off for libsoup-2.4)" 1)
-option(HARDINFO2_QT5 "Build opengl benchmark for QT5 " 1)
+option(HARDINFO2_QT5 "Build opengl benchmark for QT5" 1)
+option(HARDINFO2_QT5_MOCQT5 "Build QT5 with moc-qt5" 0)
+option(HARDINFO2_VK "Build vulkan benchmark" 1)
+option(HARDINFO2_VK_WAYLAND "Build Vulkan with wayland support" 1)
+option(HARDINFO2_VK_X11 "Build Vulkan with X11 support" 1)
+option(HARDINFO2_NOSSL "Build for very old distro with no https" 0)
 
 SET(CMAKE_INSTALL_PREFIX "/usr")
 SET(HARDINFO2_SYSTEMV 0)
@@ -125,6 +130,8 @@
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
 if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*" OR ${distro} MATCHES "OpenMandriva*")
+  #ALT Linux is RPM but too old rpmbuild - use alien until fixed
+  # OR ${distro} MATCHES "ALT*" OR ${distro} MATCHES "SimplyLinux"
   set(RPM 1)
 endif()
 #Arch Distro's (tgz)
@@ -172,16 +179,23 @@
 #centos/redhat/oracle/opensuse/suse ->8
 if(${disversion} LESS 8.99)
   if(${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*")
-    message("Centos/Redhat/oracle/opensuse/suse/rocky/alma ->8 - Old Appstream metainfo")
+    message("Centos/Redhat/oracle/opensuse/suse/rocky/alma ->8 - Old Appstream metainfo VK_WAYLAND=0")
+    SET(HARDINFO2_VK_WAYLAND 0)
     string(REPLACE "<url type=\"contact\">https://github.com/hardinfo2/hardinfo2/discussions</url>" "" METAINFO_CONTENT "${METAINFO_CONTENT}" )
   endif()
 endif()
 
 #centos/redhat/oracle 10
 if((${disversion} GREATER_EQUAL 10) AND (${disversion} LESS 10.99))
-  if(${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*")
-    message("Centos/Redhat/oracle/rocky/alma 10 - Missing xrandr+sysbench!!!")
-    SET(RPM_REQ "dmidecode, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, vulkan-tools, gawk") #miss sysbench, xrandr
+  if(${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*")
+    message("Centos/Redhat/oracle/rocky/alma 10 - Missing xrandr vue to wayland standard")
+    SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, vulkan-tools, gawk") #miss xrandr
+  endif()
+  #below to be removed when Redhat switches to epel10_1
+  if(${distro} MATCHES "Red*")
+    message("Centos/Redhat/oracle/rocky/alma 10 - Missing xrandr vue to wayland standard")
+    message("Redhat - Missing sysbench - old epel10_0 instead of epel10_1")
+    SET(RPM_REQ "dmidecode, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, vulkan-tools, gawk") #miss xrandr sysbench
   endif()
 endif()
 
@@ -189,6 +203,7 @@
 if(${disversion} LESS 7.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
       SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
+      set(HARDINFO2_VK 0)
   endif()
 endif()
 
@@ -203,24 +218,36 @@
     message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
     set(HARDINFO2_SYSTEMV 1)
-    message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
+    message("RPM EL6 - no QT5+VK - Disabling benchmarks")
     set(HARDINFO2_QT5 0)
+    set(HARDINFO2_VK 0)
+    message("RPM EL6 - NOSSL too old for https")
+    set(HARDINFO2_NOSSL 1)
     SET(RPM_REQ "dmidecode, sysbench, glx-utils, lm_sensors, xdg-utils, xrandr, gawk") #miss vulkan-tools, udisks2, fwupd, iperf3
   endif()
 endif()
 
-#opensuse tumbeweed
-if(${disversion} GREATER 20000101)
-  if(${distro} MATCHES "openSUSE*")
-    SET(RPM_REQ "dmidecode, sysbench, udisks2, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors, gawk")
+#opensuse
+if(${distro} MATCHES "openSUSE*")
+  SET(RPM_REQ "dmidecode, sysbench, udisks2, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors, gawk")
+  #opensuse tumbeweed
+  if(${disversion} GREATER 20000101)
+  else()
+    #opensuse leap 16
+    if(${disversion} GREATER 15.99)
+       SET(RPM_REQ "dmidecode, sysbench, udisks2, xdg-utils, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors, gawk") #Some error for fwupd vs KDE6 dependencies
+    endif()
   endif()
 endif()
 
 
 #Fedora 23
 if(${distro}${disversion} MATCHES "Fedora23")
-    message("FC23 - no QT5 - Disabling opengl benchmarks")
+    message("FC23 - no QT5+VK - Disabling benchmarks")
     set(HARDINFO2_QT5 0)
+    set(HARDINFO2_VK 0)
+    message("Fedora 23 - Too Old for HTTPS")
+    set(HARDINFO2_NOSSL 1)
     SET(RPM_REQ "dmidecode, sysbench, udisks2, glx-utils, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, gawk") #miss vulkan-tools
     message("Fedora 23 - Too Old for Appstream metainfo")
     string(REPLACE "<component type=\"desktop-application\">" "<component>" METAINFO_CONTENT "${METAINFO_CONTENT}" )
@@ -231,33 +258,3 @@
 
 #debian 7
 if(${distro}${disversion} MATCHES "DebianGNULinux7")
-    message("DEB 7 - GTK2 to avoid c11 for ubergraph - deprecated - support will end at any time")
-    message("DEB 7 - LS24 - deprecated version 2.34.3 - but ok")
-    message("DEB 7 - no QT5 - Disabling opengl benchmarks")
-    set(HARDINFO2_GTK3 0)
-    set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
-    set(HARDINFO2_SYSTEMV 1)
-    set(HARDINFO2_QT5 0)
-    SET(DEB_REQ "dmidecode, sysbench, mesa-utils, lm-sensors, xdg-utils, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd, udisks2, iperf3 +libsigsegv2 for gawk
-endif()
-
-#debian 8
-if(${distro}${disversion} MATCHES "DebianGNULinux8")
-    message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
-    message("DEB 8 - no QT5 - Disabling opengl benchmarks")
-    set(HARDINFO2_QT5 0)
-    SET(DEB_REQ "dmidecode, sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, x11-xserver-utils, libsigsegv2, gawk") #miss vulkan-tools,fwupd +libsigsegv2 for gawk
-endif()
-
-#debian 9
-if(${distro}${disversion} MATCHES "DebianGNULinux99")
-else()
-    if(${distro}${disversion} MATCHES "DebianGNULinux9")
-        message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
-        set(HARDINFO2_QT5 0)
-	SET(DEB_REQ "dmidecode, sysbench, udisks2, mesa-utils, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, gawk") #miss vulkan-tools
-    endif()
-endif()
-
-#debian 10
-if(${distro}${disversion} MATCHES "DebianGNULinux10")
