=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("hardinfo2")
add_translations_catalog("hardinfo2" ../shell/ ../modules/ ../hardinfo2/ ../includes/ )
