=== debian/changelog ===
hardinfo (2.2.13-1~mx25+2) mx; urgency=medium

  * Really fix iperf3 dependency.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Oct 2025 16:28:57 -0700

hardinfo (2.2.13-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies except fwupd, and make
    iperf3 suggested.
  * Add system_group.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Sep 2025 06:43:33 -0700

hardinfo (2.2.13-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Sep 2025 11:06:11 -0400

hardinfo (2.2.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.
  * debian/control: Add new build-dep: glslang-tools, libdecor-0-dev,
    libvulkan-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Aug 2025 17:55:37 -0400
