=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
